Net::Packet::OSPF(3)

NAME
Net::Packet::OSPF - Open Shortest Path First layer 4 object

SYNOPSIS
   use Net::Packet::Consts qw(:ospf);
   require Net::Packet::OSPF;

   # Build a layer
   my $layer = Net::Packet::OSPF->new(
      version          => 2,
      messageType      => 0,
      length           => NP_OSPF_HDR_LEN,
      sourceOspfRouter => '127.0.0.1',
      areaId           => '127.0.0.1',
      checksum         => 0,
      authType         => NP_OSPF_AUTH_TYPE_NULL,
      authData         => '',
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::OSPF->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the Open Shortest Path First layer.

See also Net::Packet::Layer and Net::Packet::Layer4 for other attributes and methods.

ATTRIBUTES

version - 8 bits
messageType - 8 bits
length - 16 bits
sourceOspfRouter - 32 bits
areaId - 32 bits
checksum - 16 bits
authType - 16 bits
authData - 64 bits

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    version: 2

    messageType: 0

    length: NP_OSPF_HDR_LEN

    sourceOspfRouter: '127.0.0.1'

    areaId: '127.0.0.1'

    checksum: 0

    authType: NP_OSPF_AUTH_TYPE_NULL

    authData: ''

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

CONSTANTS
Load them: use Net::Packet::Consts qw(:ospf);

NP_OSPF_HDR_LEN
    OSPF header length.

NP_OSPF_AUTH_TYPE_NULL
    Various supported OSPF authentication types.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock